proc cs:convertdb {} {
 global cs csa csu
 foreach e "cs_toptalkers.dat cs_allstars.dat cs_activity.dat" {
  if {![file exists $cs(workdir)$e]} {
   putlog "            Can't find file $cs(workdir)$e .. aborting."
   return
  }
 }
 set fid [open $cs(workdir)cs_toptalkers.dat]
 while {![eof $fid]} {
  gets $fid l
  if {[llength $l] == 3} {
   set count [lindex $l 2]; if {$count == 0} {continue}
   set user [lindex $l 0]; set nick [lindex $l 1]; set ls [expr $count / 10]
   if {[info exists csu($user)]} {
    set csu($user) [lreplace $csu($user) 4 4 [expr [lindex $csu($user) 4] + $count]]
    set csu($user) [lreplace $csu($user) 5 5 [expr [lindex $csu($user) 5] + $ls]]
   } else {set csu($user) "$nick 0 0 0 $count $ls 0 0 0 0 0 0 0 0"}
  }
 }
 close $fid
 set fid [open $cs(workdir)cs_allstars.dat]
 while {![eof $fid]} {
 gets $fid l
  if {[llength $l] == 3} {
   set count [lindex $l 2]; if {$count == 0} {continue}
   set user [lindex $l 0]; set nick [lindex $l 1]; set ls [expr $count / 10]
   if {[info exists csu($user)]} {
    set csu($user) [lreplace $csu($user) 6 6 [expr [lindex $csu($user) 6] + $count]]
    set csu($user) [lreplace $csu($user) 7 7 [expr [lindex $csu($user) 7] + $ls]]
   } else {set csu($user) "$nick 0 0 0 0 0 $count $ls 0 0 0 0 0 0"}
  }
 }
 close $fid
 set fid [open $cs(workdir)cs_activity.dat]
 while {![eof $fid]} {
  gets $fid l
  if {[llength $l] == 2} {
   set atime [lindex $l 0]; set count [lindex $l 1]
   if {[info exists csa($atime)]} {set csa($atime) [lreplace $csa($atime) 0 0 [expr $csa($atime) + $count]]} else {set csa($atime) $count}
  }
 }
 close $fid
 putlog "            Finished. Everythings seems fine .."
}